> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequenzy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Subscriber

> Delete a subscriber

Permanently delete a subscriber by email address. You can also delete by external ID with `DELETE /api/v1/subscribers/external?externalId={externalId}`.

## Path Parameters

<ParamField path="email" type="string" required>
  Subscriber email (URL encoded)
</ParamField>

## Query Parameters

<ParamField query="externalId" type="string">
  External ID to use with `/subscribers/external`. Use this route for IDs that
  contain `/`.
</ParamField>

```bash theme={null}
curl -X DELETE "https://api.sequenzy.com/api/v1/subscribers/user%40sequenzy.com" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

```bash theme={null}
curl -X DELETE "https://api.sequenzy.com/api/v1/subscribers/external?externalId=user_123" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

## Responses

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "deleted": true
  }
  ```

  ```json 400 theme={null}
  {
    "success": false,
    "error": "externalId is required"
  }
  ```

  ```json 404 theme={null}
  {
    "success": false,
    "error": "Subscriber not found"
  }
  ```

  ```json 401 theme={null}
  {
    "success": false,
    "error": "Unauthorized"
  }
  ```

  ```json 500 theme={null}
  {
    "success": false,
    "error": "Internal server error"
  }
  ```
</ResponseExample>
